Bug 205725 - up2date fails with expat error and python stacktrace
up2date fails with expat error and python stacktrace
Status: CLOSED DUPLICATE of bug 205726
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Bret McMillan
Brandon Perkins
Depends On:
  Show dependency treegraph
Reported: 2006-09-08 04:52 EDT by Klaus Ethgen
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-22 11:35:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Klaus Ethgen 2006-09-08 04:52:20 EDT
Description of problem:
On one of our AS4 servers I get the following error trying to update the system
with "up2date -u":

xxxxxxx:~# up2date -u

Fetching Obsoletes list for channel: rhel-i386-as-4...

Fetching rpm headers...
An error has occurred:
See /var/log/up2date for more information

In /var/log/up2date I find the following boring and useless python error
[Fri Sep  8 10:42:07 2006] up2date updating login info
[Fri Sep  8 10:42:07 2006] up2date logging into up2date server
[Fri Sep  8 10:42:07 2006] up2date successfully retrieved authentication token 
from up2date server
[Fri Sep  8 10:42:07 2006] up2date availablePackageList from network
[Fri Sep  8 10:42:09 2006] up2date   File "/usr/sbin/up2date", line 1288, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 806, in main
    fullUpdate, dryRun=options.dry_run))
   File "/usr/sbin/up2date", line 1126, in batchRun
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 65, in init
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 112, in 
    self.availableUpdates = plist.getPackagesToInstall()
   File "/usr/share/rhn/up2date_client/packageList.py", line 682, in 
    result = self.__skipPackages(result)
   File "/usr/share/rhn/up2date_client/packageList.py", line 711, in 
    packageList = self.__skipFiles(packageList)
   File "/usr/share/rhn/up2date_client/packageList.py", line 732, in __skipFiles
    ignoreMsgCallback = self.ignoreMsgCallback)
   File "/usr/share/rhn/up2date_client/packageList.py", line 771, in 
    hdr = headerList[pkg]
   File "/usr/share/rhn/up2date_client/headers.py", line 37, in __getitem__
   File "/usr/share/rhn/up2date_client/headers.py", line 42, in 
    hdr, sourceType = rpcServer.doCall(self.repos.getHeader, item)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 236, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/share/rhn/up2date_client/repoDirector.py", line 33, in getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback, 
   File "/usr/share/rhn/up2date_client/rpmSource.py", line 213, in getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
   File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py", line 152, 
in getHeader
    fd = self.s.getPackageHeader(channel, filename)
   File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 606, in __call__
    result = self._send(self._name, args)
   File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 319, in _request
    request, verbose=self._verbose)
   File "/usr/lib/python2.3/site-packages/rhn/transports.py", line 185, in 
    return self._process_response(fd, connection)
   File "/usr/lib/python2.3/site-packages/rhn/transports.py", line 213, in 
    return self.parse_response(fd)
   File "/usr/lib/python2.3/site-packages/rhn/transports.py", line 236, in 
   File "/usr/lib/python2.3/xmlrpclib.py", line 531, in close
    self._parser.Parse("", 1) # end of data


I also tried to uninstall and reinstall up2date and rhnlib and also
reregistering the machine new on the satellite.

As you might expect, this is a very urgent issue as this machine is a important
server in our infrastructure and fully connected to the internet! There are
several high security bugs open which cannot applied!

Version-Release number of selected component (if applicable):

How reproducible:
See above.

Actual results:
See above.

Expected results:
Well, of course the update...
Comment 1 Red Hat Bugzilla 2007-04-11 21:11:31 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Todd Sanders 2007-05-22 11:35:42 EDT

*** This bug has been marked as a duplicate of 205726 ***

Note You need to log in before you can comment on or make changes to this bug.